Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.server.plugins
Interface PluginInvocator

All Known Implementing Classes:
  PluginManager

    public interface PluginInvocator

Method Summary
`ExtensionPointRepresentation` | `describe(String name, Class<?> type, String method)`
`List<ExtensionPointRepresentation>` | `describeAll(String extensionName)`
`Set<String>` | `extensionNames()`
`
`<T> Representation`
` | `invoke(AbstractGraphDatabase graphDb, String name, Class<T> type, String method, T context, ParameterList params)`

Method Detail

### invoke

    <T> Representation invoke(AbstractGraphDatabase graphDb,
                              String name,
                              Class<T> type,
                              String method,
                              T context,
                              ParameterList params)
                          throws PluginLookupException,
                                 BadInputException,
                                 PluginInvocationFailureException,
                                 BadPluginInvocationException

  Throws:
    `PluginLookupException`
    `BadInputException`
    `PluginInvocationFailureException`
    `BadPluginInvocationException`

### describe

    ExtensionPointRepresentation describe(String name,
                                          Class<?> type,
                                          String method)
                                          throws PluginLookupException

  Throws:
    `PluginLookupException`

### describeAll

    List<ExtensionPointRepresentation> describeAll(String extensionName)
                                                   throws PluginLookupException

  Throws:
    `PluginLookupException`

### extensionNames

    Set<String> extensionNames()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 The Neo4j Graph Database Project. All Rights Reserved.